Administrator

HTTPS Connection Problem

Problem

By default, SAP Mobile Platform SP07 supports the TLSv1.2 SSL protocol. If clients do not support this protocol, they cannot establish HTTPS connections to the server.

Nonbrowser-based clients that are using JRE 1.6 may see this error: java.net.ssl.SSLPeerUnverifiedException:peer not authenticated, which indicates that the client does not support the TLSv1.2 protocol.

Workaround

Connection Method

Solution

Clients connect to SAP Mobile Platform Server using a browser

On the client, enable TLSv1.2 by either following the browser-specific instructions or upgrading to a version of the browser that supports TLSv1.2.

Clients connect to SAP Mobile Platform Server using an SAP or third-party tool

On the client, install JRE version 1.7, and enable TLSv1.2.

Other connection types

On the server, edit the ./config_master/org.eclipse.gemini.web.tomcat/default-server.xml file, and append a comma-separated list of the supported protocols to the sslEnabledProtocols property, for example:
sslEnabledProtocols="TLSv1.2,TLSv1.1,TLSv1"
Windows CE clients support only TLSv1.